<template>
  <li>
    <a
      v-if="item.children"
      :href="item.link"
      data-toggle="collapse"
      aria-expanded="false"
      class="dropdown-toggle"
      ><i :class="item.icon"></i>
      {{ item.text }}
    </a>
    <ul v-if="item.children" class="collapse list-unstyled" :id="itemId">
      <item
        v-for="(child, index) in item.children"
        :item="child"
        :item-id="index"
        v-bind:key="index"
      ></item>
    </ul>
    <router-link v-if="!item.children && !item.nativeLink" :to="item.link">
      <i :class="item.icon" v-if="item.icon"></i>
      {{ item.text }}</router-link
    >
    <a :href="item.link" v-if="item.nativeLink" target="_blank">
      <i :class="item.icon" v-if="item.icon"></i>
      {{ item.text }}
    </a>
  </li>
</template>

<script>
export default {
  name: 'Item',
  props: {
    item: {},
    itemId: '',
  },
}
</script>

<style scoped></style>
